Package org.apache.lucene.index

# Class Impact

java.lang.Object
org.apache.lucene.index.Impact

public final class Impact extends Object
Per-document scoring factors.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `freq`
  Term frequency of the term in the document.
  `long`
  `norm`
  Norm factor of the document.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Impact(int freq, long norm)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object obj)`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### freq

    public int freq
    Term frequency of the term in the document.

  - ### norm

    public long norm
    Norm factor of the document.

- ## Constructor Details

  - ### Impact

    public Impact(int freq, long norm)
    Constructor.

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`